# Intégration d'un projet GitLab sur Jenkins
Nous allons voir dans cette partie l'intégration et le test d'un projet de GitLab sous Jenkins.
Un mini programme écrit en Java et faisant des calculs nous servira d'exemple.

## Intégration sur Jenkins

* Sur la forge de l'Université GitLab, nous avons créé un projet (ProjetJavaDocker) afin de l'intégrer sous Jenkins.
Pour cela, nous allons copier le lien du projet GitLab.

![Copie Projet GitLab](img/GitCopieProjet.png)

* Ensuite, nous allons créer un projet sous Jenkins en cliquand sur le lien _Nouveau Item_ dans le tableau de bord

![Création Projet Jenkins](img/JenkinsNewProjet.png)

* Nous allons commencer par ajouter une description à notre projet dans la rubrique _General_.

![Description Projet Jenkins](img/JenkinsDescription.png)

* Ce qui nous intéresse dans la rubrique _Gestion du code source_ c'est l'option **Git**. 
Cette option permet d'intégrer le projet GitLab (ici JavaProjetDocker) sous Jenkins.
Nous allons en premier insérer le lien du projet GitLab. La brache du projet est automatiquement sélectionnée.

![Integration Projet GitLab](img/JenkinsRepository.png)

* Dans la rubrique _Build_ il faut cliquer sur le lien **Exécuter un script shell**.
Cette option permet d'insérer les lignes de code qui permettront d'exécuter et de tester l'application.

![Build Projet Jenkins](img/JenkinsBuild.png)

Dans notre cas le code à saisir est le suivant : 
  
    javac *.java -- pour la compilation
    java CalculTest -- pour l'exécution
     
## Test et Mise à jour du projet

